linux-lts-raring: 3.8.0-42.62~precise1 -proposed tracker

Bug #1322217 reported by Luis Henriques on 2014-05-22
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-42.61~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 22. May 2014 14:52 UTC
kernel-stable-Prepare-package-end:Thursday, 22. May 2014 19:06 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 22. May 2014 19:06 UTC
ppa-package-testing-start:Thursday, 22. May 2014 20:06 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 29. May 2014 10:14 UTC
kernel-stable-Verification-testing-start:Thursday, 29. May 2014 12:00 UTC
kernel-stable-Certification-testing-start:Thursday, 29. May 2014 12:00 UTC
kernel-stable-Security-signoff-start:Thursday, 29. May 2014 12:00 UTC
kernel-stable-Regression-testing-start:Thursday, 29. May 2014 12:00 UTC
kernel-stable-Regression-testing-end:Wednesday, 04. June 2014 19:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 04. June 2014 23:02 UTC
kernel-stable-Certification-testing-end:Thursday, 05. June 2014 12:39 UTC
kernel-stable-Promote-to-updates-start:Thursday, 05. June 2014 19:13 UTC
kernel-stable-Promote-to-updates-end:Thursday, 05. June 2014 20:57 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 06. June 2014 18:10 UTC

CVE References

Luis Henriques (henrix) on 2014-05-22
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-05-22
description: updated
Brad Figg (brad-figg) on 2014-05-29
description: updated
Brad Figg (brad-figg) on 2014-05-29
description: updated

Certification team has begun the SRU testing.

Paul Larson (pwlars) on 2014-06-04
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-06-04
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-06-04
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-06-05
description: updated
Adam Conrad (adconrad) on 2014-06-05
Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-06-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-raring - 3.8.0-42.62~precise1

---------------
linux-lts-raring (3.8.0-42.62~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - LP: #1326367
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - LP: #1326367
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - LP: #1326367
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - LP: #1326367
    - CVE-2014-3153
 -- Brad Figg <email address hidden> Wed, 04 Jun 2014 12:01:23 -0700

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-06-05
description: updated

The package has been published and the bug is being set to Fix Released

summary: - linux-lts-raring: 3.8.0-42.61~precise1 -proposed tracker
+ linux-lts-raring: 3.8.0-42.62~precise1 -proposed tracker
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers